summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2015-12-10 14:35:26 -0500
committerMike Gilbert <floppym@gentoo.org>2015-12-10 14:35:26 -0500
commit4ef2664783896a41233602b09fe4a7124ac39515 (patch)
tree81ed5122c46e83aa0a9b02130cae59c296018fee /app-admin
parentdev-lang/python: Adjust eselect-python dep (diff)
downloadgentoo-4ef2664783896a41233602b09fe4a7124ac39515.tar.gz
gentoo-4ef2664783896a41233602b09fe4a7124ac39515.tar.bz2
gentoo-4ef2664783896a41233602b09fe4a7124ac39515.zip
app-admin/python-updater: Release 0.14
Bug: https://bugs.gentoo.org/567896 Package-Manager: portage-2.2.26_p25
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/python-updater/Manifest1
-rw-r--r--app-admin/python-updater/python-updater-0.14.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/app-admin/python-updater/Manifest b/app-admin/python-updater/Manifest
index 1e42e3b3833..1786d0db62f 100644
--- a/app-admin/python-updater/Manifest
+++ b/app-admin/python-updater/Manifest
@@ -1,3 +1,4 @@
DIST python-updater-0.11.tar.bz2 9355 SHA256 5c88b2a56febe67e783855a1c51c4c89637e948704834ad1f5d1b6e46cc4a7b8 SHA512 613d0b772faed65690b3999fb557f4414926f72f2f6084cf2e91c225a036df8c1a3c73e4fa6feac191cb7ac89035d3bcae9a6b23f479e2cf63d69bb8c57217fe WHIRLPOOL 9eab112192a3515e71d4971b89282d3f9725629af5b4db6a090d74f4c3dc9421dbfbc9c6c0393b3d6387d4926b1eb1bbc6291ac18ae31e86ecfeb37cfba68b14
DIST python-updater-0.12.tar.bz2 10323 SHA256 9df20f8e4acb18428f649ca944e9f6875125d996df6a72f0dab4e1f4b51ffe72 SHA512 6bb092ab52274f22edce479c2efafb3ad96c8969ecf0e72a99c5c6dc2755c6caf9bfaacbcb745a8839b79c891c6356b6cfcba08ce117061a0e6d17d3d43ff3fd WHIRLPOOL 86659c9b5a4f9752416342ed09e710a70133f7b69e61f707d1800f4008db63770b4252a32222c56047a9db37319963558872ea8618fc00f44f4fc4da4b800c62
DIST python-updater-0.13.tar.bz2 10384 SHA256 9123cdb538f3f05f20562acb1e6bb4f568061f3b6d866b31edb24da325bfbbbe SHA512 5c75cd76e18d19a6d4fdec902d47cccf41d61fd9b6d40c6c22b4579e826130ebdf00c8da57b6ba2752ff10832f5fcebb9a0a2dbeef03551add0382f57b15ac5a WHIRLPOOL bf804db9ac5dcd7aea9141c43378b0c5d938d5a984c9fe73fb9d8db1933354270a2cf74e5ea49066cb5c2fae1e60590638abf9a79cb9394bcbe9c3487cde9af7
+DIST python-updater-0.14.tar.bz2 10354 SHA256 78b8a8680ef2a64baf2e1a3624694967ea119109f9c171106b93e02661f3ba4a SHA512 6d5589326a1dc1cb83c42a0d1cdadce4e33ee25a1699e93475d5167666f06fda900822fa3f5657c473999860a36cfb6f6dd1312b66695e47ad3035404e26b9db WHIRLPOOL 6d839525fabdf19f8fc729bc341cb13bfdec2a5f96eff9524ea8af018987c86d284aa7a52a6c1f32aac34403f0fef47a9a7e6963b91282529bc30997c6d2666b
diff --git a/app-admin/python-updater/python-updater-0.14.ebuild b/app-admin/python-updater/python-updater-0.14.ebuild
new file mode 100644
index 00000000000..b13d97d728c
--- /dev/null
+++ b/app-admin/python-updater/python-updater-0.14.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [[ "${PV}" == "9999" ]]; then
+ inherit git-r3
+fi
+
+DESCRIPTION="Script used to reinstall Python packages after changing of active Python versions"
+HOMEPAGE="https://www.gentoo.org/proj/en/Python/"
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="git://anongit.gentoo.org/proj/python-updater.git"
+else
+ SRC_URI="https://dev.gentoo.org/~floppym/dist/${P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~ppc-aix ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+if [[ ${PV} == 9999 ]]; then
+ DEPEND="
+ sys-apps/gentoo-functions
+ sys-apps/help2man
+ "
+fi
+RDEPEND="
+ sys-apps/gentoo-functions
+ || ( >=sys-apps/portage-2.1.6 >=sys-apps/paludis-0.56.0 sys-apps/pkgcore )
+"
+
+src_compile() {
+ [[ ${PV} == 9999 ]] && emake python-updater
+ default
+}